{% extends "siswa/userbase.html.twig" %}
{% import "macros/form.html.twig" as f %}

{% block moreCss %}


{% endblock %}

{% block body %}

    <style>
        .divider-test {
            margin-top: 1rem;
            margin-bottom: 1rem;
            border: 0px;
            border-top: 1px solid rgba(0, 0, 0, 0.1);
        }

        .time-choice:disabled {
            background-color: grey;
            border: 1px solid grey;
        }
    </style>
    {% embed 'siswa/mainBar.html.twig' %}
        {% set menu = false %}

        {% block customMenu %}
            <i class="mdi mdi-chevron-left text-white f20 d-block">
            </i>
        {% endblock %}

        {% block rightMenu %}
            <i class="mdi mdi-share text-white f16 d-block">
            </i>
        {% endblock %}

    {% endembed %}

    {% embed 'siswa/bottomNavBar.html.twig' %}

        {% set state = 5 %}

    {% endembed %}
    {#    KETERANGAN PAGE#}
    <section class="b-primary r-bottom" style="height: 7em">

    </section>

    {#    PROFIL#}
    <section style="margin-top: -5em" class="container-fluid">
        <div class="gen-card p-3 bg-white">

            <p class="f14 font-weight-bold text-center" id="title"></p>
            <p class="mt-3 font-weight-bold f12 text-center" id="myName"></p>

            <div class="d-flex">
                <div class="flex-grow-1" id="RankWrap">
                    <p class="text-center">Peringkat</p>
                    <p id="myRank" class="text-center f16 t-primary"></p>
                </div>


                <div class="flex-grow-1">
                    <p class="text-center">Nilai</p>
                    <p id="myScore" class="text-center f16 t-primary"></p>
                </div>
            </div>
        </div>

        <div class="d-flex align-items-end mt-3">
            <div style="width: 30%" class="text-center">
                <p class="mb-0 font-weight-bold">2</p>
                <img id="avatarSecond" style="height: 4em; width: 4em; border-radius: 50%; object-fit: cover">
                <p id="nameSecond" class="font-weight-bold mt-1 mb-0 text-truncate"></p>
            </div>

            <div style="width: 40%" class="text-center">
                <div class="d-block text-center">
                    <img src="{{ asset('images/common/icons/crown.png') }}" style="height: 1em">
                </div>
                <img id="avatarFirst" style="height: 5em; width: 5em; border-radius: 50%; object-fit: cover">
                <p id="nameFirst" class="font-weight-bold mt-1 mb-0 text-truncate">Diana Palastri</p>
            </div>

            <div style="width: 30%" class="text-center">
                <p class="mb-0 font-weight-bold">3</p>
                <img id="avatarThird" style="height: 4em; width: 4em; border-radius: 50%; object-fit: cover">
                <p id="nameThird" class="font-weight-bold mt-1 mb-0 text-truncate"></p>
            </div>

        </div>

        <div style="height: 1em"></div>

        <div id="rowRank"></div>

    </section>

    <div class="space-25h"></div>

{% endblock %}

{% block JSMore %}
    <script>
        function fetchData(data) {
            console.log(data);
            $("#title").html(data['mine'][0]['tryOut']['title']);
            $("#myName").html(data['mine'][0]['user']['profile']['fullName']);
            $('<img id="myAvatar" src="' + data['mine'][0]['user']['profile']['avatar'] + '" style="height: 5em; width: 5em; border-radius: 50%; object-fit: cover">').insertAfter("#RankWrap")
            $("#myRank").html( parseInt(data['biggerNumber']) + 1 );
            $("#myScore").html( parseFloat(data['mine']['endScore']).toFixed(2) );


            $("#nameFirst").html(data['first'][0]['user']['profile']['fullName']);
            $("#avatarFirst").attr("src", data['first'][0]['user']['profile']['avatar']);

            $("#nameSecond").html(data['second'][0]['user']['profile']['fullName']);
            $("#avatarSecond").attr("src", data['second'][0]['user']['profile']['avatar']);

            $("#nameThird").html(data['third'][0]['user']['profile']['fullName']);
            $("#avatarThird").attr("src", data['third'][0]['user']['profile']['avatar']);

            let html = '';
            data['list'].map(function(s, k){
                html += ' <div class="d-flex align-items-center mt-3">\n' +
                    '            <p class="mb-0 mr-3 ml-3">'+ (parseInt(k)+1) +'</p>\n' +
                    '            <div class="flex-grow-1 d-flex gen-card p-3 mb-0 " style="border-radius: 50px">\n' +
                    '                <img src="' + s[0]['user']['profile']['avatar']+ '" class="mr-2"\n' +
                '                     style="height: 2em; width: 2em; border-radius: 50%; object-fit: cover">\n' +
                '                <div class="flex-grow-1 d-flex justify-content-between">\n' +
                '                    <p class="font-weight-bold mt-1 mb-0 text-truncate flex-grow-1">' + s[0]['user']['profile']['fullName']+ '</p>\n' +
                '                    <p class="font-weight-bold mt-1 mb-0 ">' + parseFloat(s['endScore']).toFixed(2) + '</p>\n' +
                '                </div>\n' +
                '            </div>\n' +
                '        </div>';
            });
            $("#rowRank").html(html);
        }
    </script>
    {{ f.ajaxCall("fetchData", path("result-tryout-rank-api", {to : ref}), "GET") }}
{% endblock %}